# deletionSort

> "Why sort when you can just delete?" - A wise person, probably

Deletion sort is a revolutionary algorithm that solves the age-old problem of sorting with a simple, yet brutal approach: just delete everything and call it a day! It's the programming equivalent of "if it doesn't work, just turn it off and back on again."

## Features

- Runs in a blistering O(1) time complexity! (Because it doesn't actually sort anything)
- Guaranteed to produce an empty (and therefore sorted) array or table every time!
- Saves you the hassle of writing complex sorting logic.
- Frees up disk space by deleting your precious data.
- Provides a great excuse for losing all your work: "Oops, I ran the deletionsort algorithm!"

## Installation

You can run this in python by running the following script in the terminal:
```shell
pip install deletionSort
```
Then you can run it in your python script like this:
```python
array = [1,3,5,6,77,55,32,6,4,7,89,45,24,34,6]
khalas(array)
```

## Usage

```python
# Python
original_data = [3, 1, 4, 1, 5, 9]
print("Original data:", original_data)

deletion_sort(original_data)
print("Sorted data:", original_data)  # Output: Sorted data: []
```
```sql
-- SQL
DROP TABLE employees;  -- Goodbye, employee records!
```
## Warning

Use at your own risk! While the deletionsort algorithm is incredibly efficient, it may lead to undesirable side effects, such as:

    > Loss of important data
    > Getting fired from your job
    > Angry customers or coworkers
    > Existential dread



We recommend using this algorithm only for educational purposes or when you really, really don't like your data.
Contributing

If you have any ideas for improving the deletionsort algorithm, such as adding more delete options or implementing a "shred" feature, feel free to open a pull request! We're always looking for ways to make data deletion even more efficient and destructive.

Happy sorting (or should we say, deleting)!
